@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
}

#logo{
    display: inline-block;
    position: absolute;
    left: 18px;
    top: 18px;
  }
  
#logo img{
    display: block;
    margin: auto;
    width: 55px;
  }

.flex {
    display: flex;
    align-items: center;
    justify-content: center;
}

body {
    height: 100vh;
    background-color: #f2bbac;
}

.container {
    position: relative;
    width: 350px;
    height: 450px;
    background-color: #ffffff;
    transform-style: preserve-3d;
    transform: perspective(1000px);
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.37);
    transition: 1s;
}

.container:hover {
    transform: translateX(50%);
}

.container .imgbox {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    transform-origin: left;
    transform-style: preserve-3d;
    background-color: black;
    transition: 1s;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.37);
}


.container:hover .imgbox{ 
    transform: rotateY(-180deg);
}

.container .imgbox img{
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform-style: preserve-3d;
    backface-visibility: hidden;
}

.container .imgbox img:nth-child(2) {
    transform: rotateY(180deg);
  
}
  
.container .details-container {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.details-container .content{
    flex-direction: column;
    padding: 10px;
}

.details-container .content h1 {
    color: #73607c;
    line-height: 1em;
    font-weight: 800;
    text-align: center;
}

h1{
    position: absolute;
    top: 55px;
}

.details-container .content h1 span{
    color: #fcc666;
    font-size: 0.6em;
}

/* .details-container .content .insta{
    font-size: 1em;
    margin: 5px;
    color: #664e71;
} */


.details-container .content p{
    text-align: center;
    font-size: 15px;
    padding: 10px 20px;
    color: #73607c;
}


.social-media a {
  color: #fcc666;
  text-decoration: none;
  width: 40px;
  height: 40px;
  display: inline-block;
  margin: 5px;
}

.social-media {
  position: absolute;
  display: flex;
  margin-top: 320px;
  text-align: center;
}


a:hover{
    color: #73607c;

    transition: 0.4s ease-out;
} 



